<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
?>
<style>
#editor {
	
	margin:1px;
    position: relative;
	min-height:60vh;
    
	
}
</style>
<?php



$options = get_option($this->plugin_name."_button_code");
$e_options = get_option($this->plugin_name);



$Page = new stdClass();
$Client = new stdClass();
$Client->client_id = $e_options['client-id'];
//no of related products to show
$Page->maxRelated = 5;
$Page->selectedCategory = null;
$Page->location=new stdClass();
//deprecated, but still some clients use this feature, we don't need this in WP plugin
$Page->selectedCategoryLevel = null;
$Page->theme=($e_options['theme']!="")?$e_options['theme']:"default";

$apikey=$e_options['client-api-key'];
$button_code=true;



if(empty($_REQUEST['item']))
$item='';
else
$item=$_REQUEST['item'];

$EJ = new EjunkieWPPlugin\EJParser($Client->client_id, $tag, $item, $Page->url, $category, null, $Page, $pageNo,$apikey,$e_options,$button_code);

$EJT = new EjunkieWPPlugin\EJTemplate($Page, $EJ);
$EJT_Button_code="";
$pname="";
if(!empty($item)){
$EJ->getProduct();
$pname=$EJ->products[0]->name;
$str=file_get_contents(plugin_dir_path( __FILE__ ).'theme_editor_source/button_code.ej');
$has_form = $EJT->getTemplateString($str, 'Product.Form');
$EJT_Button_code=$EJT->generateForm($str,$has_form,$EJ->products[0]);
}


?>

<div class="wrap">

    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>


	
<div class="fileedit-sub">
	<div class="alignleft">
	<h2>	
	<?php echo sprintf( __( 'Product : %s' ), '<strong>' . esc_html( $pname) . '</strong>' ); ?>
	</h2>
	</div>
	<div class="alignright">
	<?php echo ($Client->client_id)? '&nbsp': '<em class="required">Please Setup First Your Shop <a href="?page=e-junkie" >Settings</a></em>'; ?>
	</div>
	<br class="clear" />
</div>
<div id="templateside">
<h2 id="plugin-files-label"><?php _e( 'Products' ); ?></h2>
<ul role="tree" aria-labelledby="plugin-files-label">
	<li role="treeitem" tabindex="0" aria-expanded="true" aria-level="1" aria-posinset="1" aria-setsize="1">
		<ul role="group">
			<?php 
			foreach($EJ->allProducts as $product){ ?>
				
				<li role="none">
				<a role="treeitem" tabindex="2" href="?page=e-junkie/button_code&item=<?php echo $product->number; ?>" aria-level="2" aria-setsize="2" aria-posinset="12" class="">
				<?php if($item==$product->number){	?>
					<span class="notice notice-info"><?php echo $product->name; ?></span>
				<?php } else { echo $product->name; }?>
				</a>
			</li>
			
			<?php
			}
			?>
		</ul>
	</li>
</ul>
</div>

<?php
			settings_fields($this->plugin_name."_button_code");
			do_settings_sections($this->plugin_name."_button_code");
?>

	<label for="newcontent" id="theme-plugin-editor-label"><?php echo sprintf( __( 'Button Code For : %s' ),esc_html( $pname) ); ?></label>
	<div class="CodeMirror cm-s-default CodeMirror-wrap">
<pre id="editor">
<?php echo htmlentities($EJT_Button_code);?>
</pre>

			<script>
				ace.require("ace/ext/language_tools");
				var editor = ace.edit("editor");
					editor.setTheme("ace/theme/eclipse");
					editor.session.setMode("ace/mode/html");
					editor.setReadOnly(true);
					editor.setShowPrintMargin(false);
					editor.getSession().setUseWrapMode(true);
					
				function copycode(){
					
				
					editor.selection.selectAll();
					
					const el = document.createElement('textarea');
					el.value = editor.getValue();
					el.setAttribute('readonly', '');
					el.style.position = 'absolute';
					el.style.left = '-9999px';
					document.body.appendChild(el);
					el.select();
					document.execCommand('copy');
					document.body.removeChild(el);
						
					jQuery("#copy_status").fadeIn(500,function() {
					  jQuery(this).text("Copied!")
					}).fadeOut(3000,function() {
					  jQuery(this).text("")
					});	
						
					  
				}
			</script>
	<div class="alignleft">
	<?php ($EJT_Button_code!="")?submit_button( __( 'Copy Button Code' ), 'secondary', 'submit', false, array('onclick'=>'copycode()') ):''; ?>
	
	<span id="copy_status"></span>
	</div>
	<br class="clear" />
	</div>

<br class="clear" />
</div>