<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
?>
<style>
#editor {
	
	margin:1px;
    position: relative;
	min-height:60vh;
    
	
}
</style>
<?php
$file="";

if(empty($_REQUEST['file']))
$file='shop.ej';
else
$file=$_REQUEST['file'];

if($file=='shop.ej'){
	$et="Shop Template";
	$nm="shop";
}
else {
	$et="Product Template";
	$nm="product";
}
 $options = get_option($this->plugin_name."_theme");
?>

<div class="wrap">

    <h1><?php echo esc_html(get_admin_page_title()); ?></h1>


	
<div class="fileedit-sub">
	<div class="alignleft">
	<h2>	
	<?php echo sprintf( __( 'Editing: %s' ), '<strong>' . esc_html( $et ) . '</strong>' ); ?>
	</h2>
	</div>
	<div class="alignright">
	&nbsp;
	</div>
	<br class="clear" />
</div>
<div id="templateside">
<h2 id="plugin-files-label"><?php _e( 'Templates' ); ?></h2>
<ul role="tree" aria-labelledby="plugin-files-label">
	<li role="treeitem" tabindex="0" aria-expanded="true" aria-level="1" aria-posinset="1" aria-setsize="1">
		<ul role="group">
			<li role="none" class="<?php echo ($file=='shop.ej')?'current-file':'';?>">
				<a role="treeitem" tabindex="1" href="?page=e-junkie/theme_editor&file=shop.ej" aria-level="2" aria-setsize="1" aria-posinset="12" class="">
				
				<?php if($file=='shop.ej'){	?>
					<span class="notice notice-info">Shop Template</span>
				<?php } else { ?>
					Shop Template
				<?php }?>
				</a>
			</li>
			<li role="none" class="<?php echo ($file=='product.ej')?'current-file':'';?>">
				<a role="treeitem" tabindex="2" href="?page=e-junkie/theme_editor&file=product.ej" aria-level="2" aria-setsize="2" aria-posinset="12" class="">
				<?php if($file=='product.ej'){	?>
					<span class="notice notice-info">Product Template</span>
				<?php } else { ?>
					Product Template
				<?php }?>
				</a>
			</li>
				
		</ul>
	</li>
</ul>
</div>
<form id="template" name="e-junkie_options" action="options.php" method="post">
<?php
			settings_fields($this->plugin_name."_theme");
			do_settings_sections($this->plugin_name."_theme");
?>
<div>
	<label for="newcontent" id="theme-plugin-editor-label"><?php _e( 'Selected file content:' ); ?></label>
	<div class="CodeMirror cm-s-default CodeMirror-wrap">
<pre id="editor">
<?php echo htmlentities(file_get_contents(plugin_dir_path( __FILE__ ).'theme_editor_current/'.$file));?>
</pre>
<textarea name="<?php echo $this->plugin_name; ?>_theme[<?php echo $nm ?>_template]" style="display: none;"><?php echo htmlentities(file_get_contents(plugin_dir_path( __FILE__ ).'theme_editor_current/'.$file));?></textarea>

			<script>
				ace.require("ace/ext/language_tools");
				var editor = ace.edit("editor");
					editor.setTheme("ace/theme/eclipse");
					editor.session.setMode("ace/mode/html");
					
				 editor.setOptions({
						enableBasicAutocompletion: true,
						enableSnippets: true,
						enableLiveAutocompletion: false
				 });
				var template_val = jQuery('textarea[name="<?php echo $this->plugin_name; ?>_theme[<?php echo $nm ?>_template]"]');
				
				
				
				editor.getSession().on("change", function () {
					template_val.val(editor.getSession().getValue());
				});
			</script>
	</div>
</div>
<p class="submit">
			<?php submit_button( __( 'Update File' ), 'primary', 'submit', false ); ?>
			<span class="spinner"></span>
</p>
</form>
<br class="clear" />
</div>